<?php


//_________________________________________________________________
// 
//          Project: wepco.de
//           Source: index.php
//_________________________________________________________________
//
//        CreatedBy: Enrico Hoeffler
//      DateCreated: 2007-09-20 16:17:04 +0200 (Do, 20 Sep 2007)
//
//          Version: 2.0.0
//        $Revision: 209 $
//   $LastChangedBy: Enrico $
// $LastChangedDate: 2008-10-20 18:40:55 +0200 (Mo, 20 Okt 2008) $
//      PHP-Version: 5.2.5
//
//      Description: 
//_________________________________________________________________
//
//   copyright  2004-2008 by wepco.de - all rights reserved
//_________________________________________________________________
?>

<html>
<head>
  <title>Foldermatic 2.0.0</title>
  
  <link rel="shortcut icon" href="http://wepco.de/favicon.ico" type="image/x-icon">
  <style type="text/css"><!--

html, body{ 
  margin:0; 
  padding:0.7em; 
  text-align:left;
  font-family: Arial, Verdana, Helvetica, sans-serif;
  font-size: 100.01%;
  color: #666666;
} 

span {
  color: #006AC3;
}

h1 {
  font-size: 1.9em;
  color: #666666;
  line-height: 24px;
  margin-top: 2em;
}

p {
  line-height: 19px;
  font-size: 0.8em;
  width: 500px;
}

a {
  text-decoration: none;
  color: #006AC3;
  border-bottom: 1px dotted #006AC3;
  padding: 2px;
}

a:hover  {
  text-decoration: none;
  color: #FFFFFF;
  background-color: #006AC3;
}

.container {
  width: 700px;
  padding: 0 50px 50px 0;
}

img {
	background-color: #FFFFFF;
	padding: 4px;
	border: 1px solid #999999;
}

.download {
  margin-top: 20px;
  width: 140px;
  float: right;
  font-size: 1.7em;
}

  //--></style>
</head>
<body>

<table width=100% cellpadding=0 cellspacing=0><tr>
  <td width=10%><font size=6><strong><span>wepco</span>.de</strong></font>&nbsp;&nbsp;&nbsp;</td>
  <td bgcolor=#006AC3>&nbsp;&nbsp;&nbsp;<strong><font color=#ffffff>EXAMPLE</font></strong></td>
</tr></table>

<H1>PHP Foldermatic 2.0.0</H1>
<div class="container">
  <div class="download">
    <a href="http://wepco.de/download/archive/software/scripts/foldermatic_2.0.0.zip">
      download (292KB)
    </a>
  </div>

  <p>
    This PHP FOLDERMATIC class reads the content of a directory. It returns an array with folder details, subfolders and files. Additional Information can be integrate to a text file.
  <p>
  <p>
    It is necessary to download <em>PHP Logger</em> to run Foldermatic. 
  <p>
  <p>
    Following is an example of reading test folder - only here for testing:
  </p>
  
  <p>=====================================================</p>

<?php


include_once ('../logger_1.0.0/libs/Logger.class.php');
include_once ('libs/Folder_Matic.class.php');

define(LOG_ENABLE, FALSE);
$dir = 'test';

$foldermatic = new Folder_Matic();

Logger :: staticDebug(LOG_ENABLE, "[Startup]: Folder Matic directory: " . $dir);
Logger :: staticDebug(LOG_ENABLE, "[Startup]: Folder Matic successfully initialized ...");

$folder = $foldermatic->getFolder("", $dir);

echo "<h4>Folder</h4>" .
"<p>Name: $folder[name]<br> " .
"Full Path:   $folder[full_path]<br>" .
"Sub Path:    $folder[sub_path]<br>" .
"Info Name:   $folder[info_name]<br>" .
"Info Desc:   $folder[info_desc]<br>" .
"</p>";

echo "<h4>Sub Folders</h4>";
foreach ($folder[sub_folders] as $key => $subfolder) {
	echo "<p>Name: $subfolder[name]<br> " .
	"Full Path:   $subfolder[full_path]<br>" .
	"Sub Path:    $subfolder[sub_path]<br>" .
	"Info Name:   $subfolder[info_name]<br>" .
	"Info Desc:   $subfolder[info_desc]<br>" .
	"</p>";
}

echo "<h4>Files</h4>";
foreach ($folder[files] as $key => $file) {
	echo "<p>Name: $file[name]<br> " .
	"Type:      $file[type]<br>" .
	"Size:      $file[size]<br>" .
	"Info Name:   $file[info_name]<br>" .
	"Info Desc:   $file[info_desc]<br>" .
	"</p>";
}
?>
  
  <p>=====================================================</p>

  <p>
    Distributed here as Public Domain, which makes it compatible and convertible
    to <em>all</em> open  source licenses. 
  </p>

</div>

<p><a href="http://wepco.de">visit wepco.de</a></p>
<table width=100% cellpadding=0 cellspacing=0><tr><td bgcolor=#006AC3>&nbsp;</td></tr></table>

</body>
</html>
